#ifdef GL_ES
precision highp float;
#endif

uniform vec2 uScreenSize;
uniform float uTime;
uniform sampler2D tex0;

varying vec4 glFragCoord;

void main(void)
{
   vec2 p = glFragCoord.xy;
   vec2 uv;

   float a = atan(p.y,p.x) + uTime;   
   float c = cos (a);
   float s = sin (a);

   float r = sin(uTime) * sqrt(dot(p,p));

   uv.x = r * c ;
   uv.y = r * s ;

   vec3 col;

   col = texture2D(tex0,uv).xyz;
   gl_FragColor = vec4(col,1.0);
    
}

