uniform mat4    uMvp;

attribute vec3 aPosition;
attribute vec3 aNormal;
attribute vec2 aTexCoord;
attribute vec4 aColor;

varying vec4 vColor;
varying vec4 glFragCoord;

void main() {
    vec4 position = vec4(aPosition.xyz, 1.);
    vColor = aColor;
    gl_PointSize = 1.;
    glFragCoord = uMvp * position ;
    gl_Position = glFragCoord;
}

