#ifdef GL_ES
precision highp float;
#endif

uniform vec2 uScreenSize;
uniform float uTime;
uniform sampler2D tex0;

void main(void)
{
    vec2 p = -1.0 + 2.0 * gl_FragCoord.xy / uScreenSize.xy;
    vec2 uv;

    float a = atan(p.y,p.x);
    float r = sqrt(dot(p,p));

    uv.x = cos(0.6+uTime) + cos(cos(1.2+uTime)+a)/r;
    uv.y = cos(0.3+uTime) + sin(cos(2.0+uTime)+a)/r;

    vec3 col =  texture2D(tex0,uv*.25).xyz;

    gl_FragColor = vec4(col*r*r,1.0);
}
