#ifdef GL_ES
precision highp float;
#endif

uniform vec2 uScreenSize;
uniform float uTime;
uniform sampler2D tex0;

varying vec4 glFragCoord;

void main(void)
{
    vec2 p = glFragCoord.xy;
    vec2 uv;

    float an = uTime*.25;

    float x = p.x*cos(an)-p.y*sin(an);
    float y = p.x*sin(an)+p.y*cos(an);
     
    uv.x = .25*x/abs(y);
    uv.y = .1/abs(y);
    uv.y += .40*uTime;
    gl_FragColor = vec4(texture2D(tex0,uv).xyz * abs(y), 1.0);
}
