#ifdef GL_ES
precision highp float;
#endif

uniform vec2 uScreenSize;
uniform float uTime;
uniform sampler2D tex0;

varying vec4 glFragCoord;

void main(void)
{
    vec2 p = glFragCoord.xy ;
    vec2 tcoord = (.5 * p) + .5;
    float x = 4. * p.x + uTime;
    float y = 4. * p.y + uTime;
    float i = x*x + y*y;
    i = mod(i, 1.);
    vec3 color = texture2D(tex0, tcoord).xyz;
    gl_FragColor = vec4(i*color.x, i*color.y, i*color.z,  1.0);
}
