#ifdef GL_ES
precision highp float;
#endif

uniform vec2 uScreenSize;
uniform float uTime;
uniform sampler2D tex0;

varying vec4 glFragCoord;

void main(void)
{
    vec2 p = glFragCoord.xy;
    vec2 uv;
   
    float a = atan(p.y,p.x);
    float r = sqrt(dot(p,p));

    uv.x = 0.75*uTime + 1.0/r;
    uv.y = a/3.1416;

    vec3 col =  texture2D(tex0,uv).xyz;

    gl_FragColor = vec4(col,1.0);
}
